Subject: [alto] ALTO Protocol Outstanding Issue I: Specify behavior of degenerated map filtering service

From: "Reinaldo Penno (repenno)" <[email-masked]>
Date: Mon, 28 Jan 2013 23:03:56 +0000

Hello,

This is the first of four outstanding issues related to the ALTO protocol.
They were presented and discussed in the last IETF.

For each outstanding issue I will send a separate email and a proposal to
move forward. Please send your comments to the list in the next 2 weeks.
Silence means we will go with the proposal.

Discussion I:  Specify behaviors of degenerated map filtering service

Do we enforce non-empty PID/AddressType? If protocol allows empty there
are two possible design choices: default to complete map or reporting an
Error

Proposal going forward: Return complete Map.

Thanks,

Reinaldo